--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "TODO: document @api public"
full_name: DataMapper::Model::Hook::Methods#before
is_singleton: false
name: before
params: (target_method, *args, &block)
visibility: public
